"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var eur_1 = require("./eur");
var gbp_1 = require("./gbp");
var usd_1 = require("./usd");
var sek_1 = require("./sek");
exports.Currencies = {
    EUR: new eur_1.EUR(),
    GBP: new gbp_1.GBP(),
    SEK: new sek_1.SEK(),
    USD: new usd_1.USD(),
    identifyCurrency: function (currency) {
        // Check that the currency is valid
        if (currency === null || currency === undefined || !currency.hasOwnProperty('currencyName')) {
            throw Error("Currency is not defined.");
        }
        switch (currency.currencyName.toLowerCase()) {
            case "euro":
                return exports.Currencies.EUR;
            case "pound sterling":
                return exports.Currencies.GBP;
            case "swedish krona":
                return exports.Currencies.SEK;
            case "united states dollar":
                return exports.Currencies.USD;
            default:
                return exports.Currencies.EUR;
        }
    }
};
//# sourceMappingURL=currencies.js.map