import { IConvertObject, ICurrencyConverter } from "./interfaces/currency-converter";
import { ICurrency } from "./interfaces/currency";
export declare class CurrencyConverter implements ICurrencyConverter {
    private rates;
    private base;
    constructor(rates: any, base?: ICurrency);
    /**
     * Convert a price from one currency to another.
     *
     * @param {IConvertObject} convertObject The conversion object that specifies amount and which currencies the
     * conversion involves.
     * @returns {number | null} The amount in the new currency.
     */
    convert(convertObject: IConvertObject): number | null;
}
