import { IProduct } from "./product";
import { ICurrency } from "./currency";
import { IWeightUnit } from "./weight-unit";
import { IAddProduct } from "./product-data";
import { ICartConfig } from "./cart-config";
import { ICurrencyConverter } from "./currency-converter";
export interface ICart {
    getConfig(): ICartConfig;
    count(): number;
    getContents(): IProduct[];
    get(id: number): IProduct | null;
    addItem(product: IAddProduct): IProduct;
    addItem(product: IAddProduct[]): IProduct[];
    updateItemQuantity(id: number, quantity: number): boolean;
    removeItem(id: number): boolean;
    clear(): ICart;
    setCurrencyConverter(currencyConverter: ICurrencyConverter): ICart;
    getTotalPrice(vat?: boolean): number | null;
    getVat(): number | null;
    getCurrency(): ICurrency;
    setCurrency(currency: ICurrency): ICart;
    getDefaultCurrency(): ICurrency;
    getWeight(): number;
    getWeightUnitSystem(): IWeightUnit;
    setWeightUnitSystem(weightUnit: IWeightUnit): ICart;
    getDefaultUnitSystem(): IWeightUnit;
    exportCart(): string;
}
export interface IExportedCart {
    config: ICartConfig;
    products: IAddProduct[];
}
