"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Currency = /** @class */ (function () {
    function Currency() {
        this.prefix = null;
    }
    Currency.prototype.format = function (amount, options) {
        // Create the options object with defaults for the missing fields
        options = options || {};
        options = {
            decimals: options.decimals || 2,
            preferPrefix: options.preferPrefix === true
        };
        return options.preferPrefix && this.prefix !== null ? this.prefix + amount.toFixed(options.decimals)
            : amount.toFixed(options.decimals) + ' ' + this.suffix;
    };
    Currency.prototype.getCode = function () {
        return this.suffix;
    };
    Currency.prototype.toString = function () {
        return this.currencyName;
    };
    return Currency;
}());
exports.Currency = Currency;
//# sourceMappingURL=currency.js.map