"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var kilogram_1 = require("./kilogram");
var gram_1 = require("./gram");
var pound_1 = require("./pound");
exports.WeightUnits = {
    KILOGRAM: new kilogram_1.Kilogram(),
    GRAM: new gram_1.Gram(),
    POUND: new pound_1.Pound(),
    identifyWeightUnit: function (weightUnit) {
        if (weightUnit === null || weightUnit === undefined || !weightUnit.hasOwnProperty("unitName")) {
            throw new Error("Unit is not defined.");
        }
        switch (weightUnit.unitName.toLowerCase()) {
            case "gram":
                return exports.WeightUnits.GRAM;
            case "kilogram":
                return exports.WeightUnits.KILOGRAM;
            case "pound":
                return exports.WeightUnits.POUND;
            default:
                return exports.WeightUnits.KILOGRAM;
        }
    }
};
//# sourceMappingURL=weight-units.js.map